public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexandre Rostovtsev" <tetromino@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: mail-client/evolution/
Date: Sun, 10 Feb 2013 20:47:51 +0000 (UTC)	[thread overview]
Message-ID: <1360529240.fe097773f0b514d342359e74802dd84a0f7942ee.tetromino@gentoo> (raw)

commit:     fe097773f0b514d342359e74802dd84a0f7942ee
Author:     Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 10 20:47:20 2013 +0000
Commit:     Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
CommitDate: Sun Feb 10 20:47:20 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=fe097773

mail-client/evolution: sync with gx86

---
 mail-client/evolution/evolution-9999.ebuild |   68 +++++++++++++--------------
 mail-client/evolution/metadata.xml          |    1 +
 2 files changed, 34 insertions(+), 35 deletions(-)

diff --git a/mail-client/evolution/evolution-9999.ebuild b/mail-client/evolution/evolution-9999.ebuild
index 55b478e..60fe55b 100644
--- a/mail-client/evolution/evolution-9999.ebuild
+++ b/mail-client/evolution/evolution-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
@@ -15,14 +15,14 @@ DESCRIPTION="Integrated mail, addressbook and calendaring functionality"
 HOMEPAGE="http://projects.gnome.org/evolution/"
 
 # Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
-LICENSE="|| ( LGPL-2 LGPL-3 ) CCPL-Attribution-ShareAlike-3.0 FDL-1.3+ OPENLDAP"
+LICENSE="|| ( LGPL-2 LGPL-3 ) CC-BY-SA-3.0 FDL-1.3+ OPENLDAP"
 SLOT="2.0"
-IUSE="crypt +gnome-online-accounts gstreamer kerberos ldap map ssl"
+IUSE="crypt +gnome-online-accounts gstreamer kerberos ldap map ssl +weather"
 if [[ ${PV} = 9999 ]]; then
 	IUSE="${IUSE} doc"
 	KEYWORDS=""
 else
-	KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+	KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
 fi
 
 # We need a graphical pinentry frontend to be able to ask for the GPG
@@ -37,10 +37,10 @@ COMMON_DEPEND=">=dev-libs/glib-2.32:2
 	>=x11-libs/gtk+-3.4.0:3
 	>=gnome-base/gnome-desktop-2.91.3:3=
 	>=gnome-base/gsettings-desktop-schemas-2.91.92
-	>=dev-libs/libgweather-3.5.0:2=
 	>=media-libs/libcanberra-0.25[gtk3]
 	>=x11-libs/libnotify-0.7:=
-	>=gnome-extra/evolution-data-server-${PV}:=[gnome-online-accounts?,weather]
+	>=gnome-extra/evolution-data-server-${PV}:=[gnome-online-accounts?,weather?]
+	=gnome-extra/evolution-data-server-${MY_MAJORV}*
 	>=gnome-extra/gtkhtml-4.5.2:4.0
 	dev-libs/atk
 	>=dev-libs/dbus-glib-0.6
@@ -73,7 +73,8 @@ COMMON_DEPEND=">=dev-libs/glib-2.32:2
 		>=media-libs/libchamplain-0.12:0.12 )
 	ssl? (
 		>=dev-libs/nspr-4.6.1:=
-		>=dev-libs/nss-3.11:= )"
+		>=dev-libs/nss-3.11:= )
+	weather? ( >=dev-libs/libgweather-3.5.0:2= )"
 DEPEND="${COMMON_DEPEND}
 	app-text/docbook-xml-dtd:4.1.2
 	dev-util/gtk-doc-am
@@ -95,34 +96,6 @@ fi
 src_prepare() {
 	ELTCONF="--reverse-deps"
 	DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS* README"
-	# image-inline plugin needs a gtk+:3 gtkimageview, which does not exist yet
-	G2CONF="${G2CONF}
-		--disable-schemas-compile
-		--without-glade-catalog
-		--without-kde-applnk-path
-		--disable-image-inline
-		--disable-pst-import
-		--enable-canberra
-		--enable-weather
-		$(use_enable ssl nss)
-		$(use_enable ssl smime)
-		$(use_enable gnome-online-accounts goa)
-		$(use_enable gstreamer audio-inline)
-		$(use_enable map contact-maps)
-		$(use_with ldap openldap)
-		$(use_with kerberos krb5 ${EPREFIX}/usr)"
-
-	# Use NSS/NSPR only if 'ssl' is enabled.
-	if use ssl ; then
-		G2CONF="${G2CONF} --enable-nss=yes"
-	else
-		G2CONF="${G2CONF}
-			--without-nspr-libs
-			--without-nspr-includes
-			--without-nss-libs
-			--without-nss-includes"
-	fi
-	[[ ${PV} != 9999 ]] && G2CONF="${G2CONF} ITSTOOL=$(type -P true)"
 
 	# Fix paths for Gentoo spamassassin executables
 	epatch "${FILESDIR}/${PN}-3.3.91-spamassassin-paths.patch"
@@ -138,6 +111,31 @@ src_prepare() {
 		-i configure || die "CPPFLAGS sed failed"
 }
 
+src_configure() {
+	# Use NSS/NSPR only if 'ssl' is enabled.
+	# image-inline plugin needs a gtk+:3 gtkimageview, which does not exist yet
+	[[ ${PV} != 9999 ]] && G2CONF="${G2CONF} ITSTOOL=$(type -P true)"
+	gnome2_src_configure \
+		--disable-schemas-compile \
+		--without-glade-catalog \
+		--without-kde-applnk-path \
+		--disable-image-inline \
+		--disable-pst-import \
+		--enable-canberra \
+		$(use_enable ssl nss) \
+		$(use_enable ssl smime) \
+		$(use_enable gnome-online-accounts goa) \
+		$(use_enable gstreamer audio-inline) \
+		$(use_enable map contact-maps) \
+		$(use_with ldap openldap) \
+		$(use_with kerberos krb5 "${EPREFIX}"/usr) \
+		$(usex ssl --enable-nss=yes "--without-nspr-libs
+			--without-nspr-includes
+			--without-nss-libs
+			--without-nss-includes") \
+		$(use_enable weather)
+}
+
 pkg_postinst() {
 	gnome2_pkg_postinst
 

diff --git a/mail-client/evolution/metadata.xml b/mail-client/evolution/metadata.xml
index 303024b..a050b85 100644
--- a/mail-client/evolution/metadata.xml
+++ b/mail-client/evolution/metadata.xml
@@ -17,5 +17,6 @@
 		<flag name="networkmanager">Allows Evolution to automagically toggle
 			online/offline mode by talking to <pkg>net-misc/networkmanager</pkg>
 			and getting the current network state</flag>
+		<flag name="weather">Enable optional weather calendar support</flag>
 	</use>
 </pkgmetadata>


             reply	other threads:[~2013-02-10 20:47 UTC|newest]

Thread overview: 73+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-02-10 20:47 Alexandre Rostovtsev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-09-11  9:02 [gentoo-commits] proj/gnome:master commit in: mail-client/evolution/ Mart Raudsepp
2018-09-11  9:02 Mart Raudsepp
2018-05-29 20:54 Sobhan Mohammadpour
2018-01-12 13:48 Dennis Lamm
2016-05-19  6:34 Priit Laes
2016-04-02 11:36 Ole Reifschneider
2016-02-26 19:24 Priit Laes
2016-01-18 16:10 Priit Laes
2015-12-20  7:10 Priit Laes
2015-11-27 12:41 Priit Laes
2015-10-29  5:37 Priit Laes
2015-09-21 19:54 Ole Reifschneider
2015-09-15 18:13 Priit Laes
2015-06-08 21:17 Gilles Dartiguelongue
2015-05-12 22:20 Gilles Dartiguelongue
2015-05-10 17:20 Gilles Dartiguelongue
2015-04-14 18:10 Priit Laes
2015-03-27  5:52 Priit Laes
2015-03-16 18:22 Priit Laes
2015-03-04  5:57 git@oystercatcher mirror+tproxy
2015-03-04  5:57 Priit Laes
2015-02-17 19:02 Alexandre Rostovtsev
2015-02-17  7:05 Priit Laes
2015-02-10 15:37 Priit Laes
2015-01-29 16:49 Priit Laes
2014-12-23  5:44 Priit Laes
2014-11-28 17:08 Priit Laes
2014-11-13 12:53 Priit Laes
2014-10-05  5:44 Priit Laes
2014-10-04  7:49 Priit Laes
2014-09-24 18:39 Priit Laes
2014-08-26  4:46 Priit Laes
2014-07-30  6:42 Priit Laes
2014-08-22  6:16 ` Priit Laes
2014-06-23 10:07 Priit Laes
2014-04-22 21:53 Gilles Dartiguelongue
2014-04-21 14:40 Gilles Dartiguelongue
2014-04-11 12:34 Priit Laes
2014-03-20  7:22 Priit Laes
2014-03-03 12:32 Priit Laes
2014-02-12 20:58 Gilles Dartiguelongue
2014-02-03  6:47 Priit Laes
2014-01-18 10:26 Priit Laes
2013-12-22 20:26 Gilles Dartiguelongue
2013-12-12 23:21 Gilles Dartiguelongue
2013-11-16 14:53 Gilles Dartiguelongue
2013-11-13 13:15 Priit Laes
2013-09-17 12:33 Priit Laes
2013-08-20  5:20 Priit Laes
2013-07-29  8:20 Priit Laes
2013-07-12 11:48 Priit Laes
2013-03-17 22:39 Priit Laes
2013-03-17 14:32 Priit Laes
2013-03-05 13:47 Priit Laes
2013-03-03 15:07 Priit Laes
2012-12-19  8:38 Alexandre Rostovtsev
2012-11-21 18:56 Priit Laes
2012-10-17  8:58 Alexandre Rostovtsev
2012-09-22 18:03 Nirbheek Chauhan
2012-09-08  8:43 Nirbheek Chauhan
2012-08-25 15:05 Priit Laes
2012-08-24 17:24 Priit Laes
2012-08-08 20:48 Priit Laes
2012-04-02  5:34 Alexandre Restovtsev
2012-03-26 11:37 Priit Laes
2011-09-05  0:12 Mart Raudsepp
2011-04-29 12:47 Nirbheek Chauhan
2011-04-17 21:28 Gilles Dartiguelongue
2011-03-24  2:52 Nirbheek Chauhan
2011-03-19 14:09 Nirbheek Chauhan
2011-02-21 21:20 Nirbheek Chauhan
2011-02-15 19:52 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1360529240.fe097773f0b514d342359e74802dd84a0f7942ee.tetromino@gentoo \
    --to=tetromino@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox